#include <sys/stat.h>
#include <unistd.h>
#include <sanity.h>
#include <nprint.h>

/*
 * 0: success
 * 1: con failure
 * 2: exe failure
 * 3: con and exe failure
 * 4: uti failure
 * 5: uti and con failure
 * 6: uti and exe failure
 * 7: total failure
 */

/*SanityCheckResult isSane() {
    struct stat conStat, exeStat, utiStat;
    SanityCheckResult result = {true, true, true}; // Default to true, assume checks will pass*/
struct stat conStat;
struct stat exeStat;
struct stat utiStat;
int result;

const int isSysSane() {
    if (stat("/con", &conStat) != 0 || !(conStat.st_mode & S_IWUSR)) {
        //result.conEx = false;
        result |= SANITY_CON_FAIL;
    }

    if (stat("/exe", &exeStat) != 0 || !(exeStat.st_mode & S_IWUSR)) {
        //result.exeEx = false;
        result |= SANITY_EXE_FAIL;
    }

    if (stat("/uti", &utiStat) != 0 || !(utiStat.st_mode & S_IWUSR)) {
        //result.utiEx = false;
        result |= SANITY_UTI_FAIL;
    }

    /*nprint("D", "con: %d", result.conEx);
    nprint("D", "exe: %d", result.exeEx);
    nprint("D", "uti: %d", result.utiEx);*/
    //nprint("D", "Result: %d", sumResult);
    return result;
}

